<div class="container-fluid">
<form [formGroup]="assessorCompanyForm"
	name="assessorCompanyForm" id="assessorCompanyForm"
	role="form" novalidate>
	<div class="card head">
		<div class="card-header heading">Part 1.
			{{isMerchantSp}} and Qualified Security Assessor Information (Continued..)</div>
		<div class="card sub-card ">
			<div class="card-header heading ">Part 1b. Qualified Security Assessor Company Information (if applicable)</div>
			<div class="card-block">
				<div class="form-group row">
					<label class="col-sm-2 control-label heading"
						jhiTranslate="pcidssApp.assessorCompany.companyName" for="field_companyName">Company Name:</label>
					<div class="col-md-4">
						<input class="form-control" name="companyName"
							formControlName="companyName">
						<jhi-display-assessor-error
							[control]="assessorCompanyForm.controls.companyName">
						</jhi-display-assessor-error>
					</div>
					<label class="col-sm-2 control-label heading"
							jhiTranslate="pcidssApp.assessorCompany.leadQsaContactName"
							for="field_dba">Lead Qsa Contact Name:</label> 
					<div class="col-md-4">
						<input
							class="form-control" name="leadQsaContactName"
							formControlName="leadQsaContactName">
							<jhi-display-assessor-error [control]="assessorCompanyForm.controls.leadQsaContactName"> </jhi-display-assessor-error>
					</div>
				</div>
				<div class="form-group row">
					<label class="col-sm-2 control-label heading" jhiTranslate="pcidssApp.assessorCompany.title"
						 for="field_title">Title:</label>
					<div class="col-md-4">
						<input class="form-control" name="title" formControlName="title">
						<jhi-display-assessor-error [control]="assessorCompanyForm.controls.title"></jhi-display-assessor-error>
					</div>
					<label class="col-sm-2 control-label heading"
							jhiTranslate="pcidssApp.assessorCompany.telephone"
							for="field_contactName">Telephone:</label>
					<div class="col-sm-4">
						<input type="text" class="form-control" ng2TelInput
							[ng2TelInputOptions]="{initialCountry: assessorCompanyForm.value.address.country}"
							(intlTelInputObject)="telInputObject($event)" (countryChange)="onSelectCountry($event)"
							 formControlName="telephone" />
							 <jhi-display-assessor-error [control]="assessorCompanyForm.controls.telephone"> </jhi-display-assessor-error>
					</div>
				</div>
				<div class="form-group row">
					<label class="col-sm-2 control-label heading"
							 jhiTranslate="pcidssApp.assessorCompany.email" for="field_title">Email</label>
					<div class="col-sm-4">
						<input class="form-control" name="email" formControlName="email">
						<jhi-display-assessor-error [control]="assessorCompanyForm.controls.email"> </jhi-display-assessor-error>
					</div>
						<label class="col-sm-2 control-label heading"
								  jhiTranslate="pcidssApp.assessorCompany.url" for="field_url">Company URL:</label>
						<div class="col-sm-4">
							<input class="form-control" name="url" formControlName="url">
							<jhi-display-assessor-error [control]="assessorCompanyForm.controls.url"> </jhi-display-assessor-error>
						</div>
				</div>
				</div>
				</div>
				<div class="card sub-card">
				<div class="card-header heading "
					jhiTranslate="pcidssApp.assessorCompany.address">Business
					Address</div>
				<div class="card-block ">
				<form formGroupName="address">
					<div class="form-group row">
						<label class="col-sm-2 control-label heading" for="field_street1"
								jhiTranslate="pcidssApp.address.street1" >Street1: </label>
						<div class="col-sm-4">
								<input type="text" id="street1" name="street1"
								class="form-control" formControlName="street1">
								<jhi-display-assessor-error [control]="assessorCompanyForm.controls.address.controls.street1"> </jhi-display-assessor-error>
							</div>
						<label class="col-sm-2 control-label heading" for="field_street2"
								jhiTranslate="pcidssApp.address.street2" >Street2: </label>
						<div class="col-sm-4">
							<input type="text" class="form-control" id="street2"
								name="street2" formControlName="street2">
						</div>
					</div>
					<div class="form-group row">
						<label class="col-sm-2 control-label heading"
							 jhiTranslate="pcidssApp.address.city" for="field_city">City:</label>
						<div class="col-md-4">
							<input class="form-control" name="city" formControlName="city">
							<jhi-display-assessor-error
								[control]="assessorCompanyForm.controls.address.controls.city">
							</jhi-display-assessor-error>
						</div>
						<label for="field_state" class="col-sm-2 control-label heading"
							*ngIf="isStateOrProvince && isUSOrCanada"
							jhiTranslate="pcidssApp.address.state">State:</label> <label
							for="field_state" class="col-sm-2 control-label heading"
							*ngIf="isStateOrProvince && !isUSOrCanada"
							jhiTranslate="pcidssApp.address.province">Province:</label>
						<div class="col-sm-4" *ngIf="isStateOrProvince">
							<select class="custom-select"
								id="state" name="state" formControlName="state">
								<option value="null">--Select--</option>
								<option *ngFor="let state of statesBasedOnCountry" [ngValue]="state.shortName">{{state.shortName}}
							</select>
							<jhi-display-assessor-error
								[control]="assessorCompanyForm.controls.address.controls.state">
							</jhi-display-assessor-error>
						</div>
						<label *ngIf="!isStateOrProvince"
							class="col-sm-2 control-label heading"
							 jhiTranslate="pcidssApp.address.other" for="field_province">State/Province:</label>
						<div class="col-sm-4">
							<input type="text" *ngIf="!isStateOrProvince"
								class="form-control" id="province" name="province"
								formControlName="province">
						</div>
					</div>
					<div class="form-group row">
						<label class="col-sm-2 control-label heading"
								jhiTranslate="pcidssApp.address.country" for="field_country">Country:</label>
						<div class="col-md-4">
							<select class="custom-select" name="country"
								formControlName="country" (change)="onCountryChange()">
								<option *ngFor="let country of countries"
									[value]="country.countryCode">{{country.countryName}}
							</select>
							<jhi-display-assessor-error [control]="assessorCompanyForm.controls.address.controls.country"> </jhi-display-assessor-error>
						</div>
						<label class="col-sm-2 control-label heading"
								jhiTranslate="pcidssApp.address.postalCode"
								for="field_postalCode">Zip:</label>
						<div class="col-sm-4">
							 <input class="form-control"
								name="postalCode" formControlName="postalCode">
								<jhi-display-assessor-error [control]="assessorCompanyForm.controls.address.controls.postalCode"> </jhi-display-assessor-error>
								
						</div>
					</div>
				</form>
				</div>
				</div>
		<div class="row-md action-div">
				<jhi-button [class.disabled]="!assessorCompanyForm.valid" (click)="saveAndExit()" exit>Save & Exit</jhi-button>
				<jhi-button [class.disabled]="!assessorCompanyForm.valid" (click)="saveAndContinue()" continue>Save &
				Continue</jhi-button>
			</div>
			<div class="arrows mt-auto mb-4">
				<i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i>
			</div>
	</div>
</form>
</div>